#
# spec file for package pingus (Version 0.5.0pre2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  SDL SDL-devel SDL_mixer alsa alsa-devel audiofile clanlib clanlib-devel esound esound-devel gpp hermes hermes-devel kdelibs-artsd libgpp libjpeg libpng libtiff libxml2 libxml2-devel xf86
# usedforbuild    SDL SDL-devel SDL_mixer aaa_base aaa_dir alsa alsa-devel audiofile autoconf automake base bash bindutil binutils bison bzip clanlib clanlib-devel compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip hermes hermes-devel kbd kdelibs-artsd less libgpp libjpeg libpng libtiff libtool libxml2 libxml2-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         pingus
Copyright:    GPL
Group:        Amusements/Games
Requires:     clanlib 
URL:          http://dark.x.dtu.dk/~grumbel/pingus/index.html
Autoreqprov:  on
Version:      0.5.0pre2
Release:      96
Summary:      A free Lemmings clone
Source:       pingus-%{version}.tar.bz2
Source1:      pingus.sh
Patch:	      pingus-%{version}.patch
BuildRoot:    /var/tmp/%{name}-build

%description
The game is not completely finished and there are not much
playable levels, but the basic game engine is ready. So the game
in its current state should be enough for some hours of fun.

Authors:
--------
    Ingo Ruhnke <grumbel@gmx.de>

SuSE series: fun

%prep
%setup
%patch

%build
./autogen.sh
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
    --prefix=/usr --infodir=%{_infodir} --mandir=%{_mandir}
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr \
     infodir=$RPM_BUILD_ROOT/%{_infodir} \
     mandir=$RPM_BUILD_ROOT/%{_mandir} install
install -m 755 $RPM_SOURCE_DIR/pingus.sh $RPM_BUILD_ROOT/usr/games/pingus.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS BUGS COPYING FAQ INSTALL NEWS README TODO
%doc %{_mandir}/man6/pingus.6.gz
%doc %{_infodir}/pingus.info.gz
/usr/games/pingus
/usr/share/games/pingus
/usr/games/pingus.sh

%changelog -n pingus
* Sat Sep 22 2001 - sndirsch@suse.de
- RPM Group tag set to Amusements/Games, so it can be found easier
* Wed Aug 29 2001 - sndirsch@suse.de
- added pingus.sh
* Wed Aug 08 2001 - ro@suse.de
- changed neededforbuild <sdl> to <SDL>
- changed neededforbuild <sdl-devel> to <SDL-devel>
* Mon Jul 30 2001 - nadvornik@suse.cz
- update to 0.5.0pre2
* Mon Oct 09 2000 - nadvornik@suse.cz
- fixed Copyright
* Thu Apr 13 2000 - nadvornik@suse.cz
- added BuildRoot
* Fri Feb 18 2000 - sndirsch@suse.de
- updated to release 0.3.1
* Wed Feb 09 2000 - sndirsch@suse.de
- changed group tag
* Thu Jan 20 2000 - sndirsch@suse.de
- moved /usr/man/*,/usr/info/* to /usr/share/man and /usr/share/info
* Tue Jan 04 2000 - sndirsch@suse.de
- update to release 0.3.0a
* Mon Jan 03 2000 - sndirsch@suse.de
- adjusted to new clanlib package
* Thu Dec 23 1999 - sndirsch@suse.de
- updated to pingus 0.2.4, ClanLib 0.2.3 and Hermes 1.2.6
- removed OpenPTC, SVGALIB, FBDEV and GLX support (never worked)
- now only the necessary files are included
* Sun Oct 03 1999 - sndirsch@suse.de
- updated to pingus 0.2.3 and ClanLib 0.1.19
- the patch against ClanLib is not required any more
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 30 1999 - ro@suse.de
- asm parts only used on x86
- no sa_restorer on alpha
* Fri Jul 16 1999 - sndirsch@suse.de
- updated pingus sources to version 0.1.1, now there are 5 levels playable
- updated OpenPTC sources to version 1.0.0-2
* Fri Jun 11 1999 - sndirsch@suse.de
- updated pingus sources to version 0.0.15
- updated clanlib sources to version 0.1.15
- updated hermes sources to version 1.2.5
* Tue May 11 1999 - sndirsch@suse.de
- updated package to release 0.0.14 (now two additional levels)
* Mon May 10 1999 - sndirsch@suse.de
- created SPEC file
